Loading...
Searching...
No Matches
pcl::poisson::CoredFileMeshData2 Class Reference

`#include <pcl/surface/3rdparty/poisson4/geometry.h>`

Inheritance diagram for pcl::poisson::CoredFileMeshData2:

## Public Member Functions

| CoredFileMeshData2 (void)
| ~CoredFileMeshData2 (void)
void | resetIterator (void)
int | addOutOfCorePoint (const CoredMeshData2::Vertex &v)
int | addPolygon (const std::vector< CoredVertexIndex > &vertices)
int | nextOutOfCorePoint (CoredMeshData2::Vertex &v)
int | nextPolygon (std::vector< CoredVertexIndex > &vertices)
int | outOfCorePointCount (void)
int | polygonCount (void)
Public Member Functions inherited from pcl::poisson::CoredMeshData2
virtual | ~CoredMeshData2 ()=default

## Additional Inherited Members

Public Attributes inherited from pcl::poisson::CoredMeshData2
std::vector< Vertex > | inCorePoints

## Detailed Description

Definition at line 311 of file geometry.h.

## Constructor & Destructor Documentation

## CoredFileMeshData2()

pcl::poisson::CoredFileMeshData2::CoredFileMeshData2 | ( | void |  | ) |

## ~CoredFileMeshData2()

pcl::poisson::CoredFileMeshData2::~CoredFileMeshData2 | ( | void |  | ) |

## Member Function Documentation

## addOutOfCorePoint()

int pcl::poisson::CoredFileMeshData2::addOutOfCorePoint | ( | const CoredMeshData2::Vertex & | v | ) |

virtual

Implements pcl::poisson::CoredMeshData2.

## addPolygon()

int pcl::poisson::CoredFileMeshData2::addPolygon | ( | const std::vector< CoredVertexIndex > & | vertices | ) |

virtual

Implements pcl::poisson::CoredMeshData2.

## nextOutOfCorePoint()

int pcl::poisson::CoredFileMeshData2::nextOutOfCorePoint | ( | CoredMeshData2::Vertex & | v | ) |

virtual

Implements pcl::poisson::CoredMeshData2.

## nextPolygon()

int pcl::poisson::CoredFileMeshData2::nextPolygon | ( | std::vector< CoredVertexIndex > & | vertices | ) |

virtual

Implements pcl::poisson::CoredMeshData2.

## outOfCorePointCount()

int pcl::poisson::CoredFileMeshData2::outOfCorePointCount | ( | void |  | ) |

virtual

Implements pcl::poisson::CoredMeshData2.

## polygonCount()

int pcl::poisson::CoredFileMeshData2::polygonCount | ( | void |  | ) |

virtual

Implements pcl::poisson::CoredMeshData2.

## resetIterator()

void pcl::poisson::CoredFileMeshData2::resetIterator | ( | void |  | ) |

virtual

Implements pcl::poisson::CoredMeshData2.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/poisson4/geometry.h